Page MenuHomePhabricator

[Task] Make Wikibase JavaScript unit tests QUnit 2 compatible
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUpdate ValueView dependency to 0.21.0
data-values/value-view : masterSwitch from setup/teardown to before/afterEach in QUnit tests
data-values/value-view : masterRemove QUnit.Parameterize dependency and make tests pass with QUnit 2
mediawiki/extensions/WikibaseLexeme : masterMake tests compatible with QUnit 2
mediawiki/extensions/Wikibase : masterMake tests QUnit 2 compatible
data-values/value-view : masterSimplify QUnit assertions a little

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptOct 9 2017, 1:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde added a project: Patch-For-Review.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde added subscribers: aude, hoo, Addshore and 2 others.

Change 383117 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[data-values/value-view@master] Simplify QUnit assertions a little

https://gerrit.wikimedia.org/r/383117

Change 370300 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Krinkle):
[mediawiki/extensions/Wikibase@master] Make tests QUnit 2 compatible

https://gerrit.wikimedia.org/r/370300

Change 383117 merged by jenkins-bot:
[data-values/value-view@master] Simplify QUnit assertions a little

https://gerrit.wikimedia.org/r/383117

Krinkle updated the task description. (Show Details)Oct 9 2017, 9:06 PM

Change 370300 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make tests QUnit 2 compatible

https://gerrit.wikimedia.org/r/370300

WMDE-leszek updated the task description. (Show Details)Oct 10 2017, 7:53 AM

Change 383363 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Make tests compatible with QUnit 2

https://gerrit.wikimedia.org/r/383363

Change 383383 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[data-values/value-view@master] Remove QUnit.Parameterize dependency and make tests pass with QUnit 2

https://gerrit.wikimedia.org/r/383383

thiemowmde updated the task description. (Show Details)Oct 10 2017, 5:05 PM
thiemowmde updated the task description. (Show Details)Oct 10 2017, 5:29 PM

Change 383363 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make tests compatible with QUnit 2

https://gerrit.wikimedia.org/r/383363

Krinkle updated the task description. (Show Details)Oct 10 2017, 7:32 PM

Change 383383 merged by jenkins-bot:
[data-values/value-view@master] Remove QUnit.Parameterize dependency and make tests pass with QUnit 2

https://gerrit.wikimedia.org/r/383383

thiemowmde closed this task as Resolved.Oct 11 2017, 9:55 AM
thiemowmde removed a project: Patch-For-Review.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.

@thiemowmde The tests still fail with QUnit 2 at https://gerrit.wikimedia.org/r/#/c/367838/13. Failures come from data-values/value-view.

Change 383383 merged by jenkins-bot:
[data-values/value-view@master] Remove QUnit.Parameterize dependency and make tests pass with QUnit 2
https://gerrit.wikimedia.org/r/383383

This would fix those failures, but it seems that while merged before the mediawiki/extensions/Wikidata build this morning, it is not included. I guess it needs to be released and pulled through?

https://github.com/wikimedia/mediawiki-extensions-Wikidata/commits/master/extensions/ValueView/tests/src/jquery.valueview.tests.testExpert.js

@Krinkle I am currently preparing the release of this component (as part of npmizing Wikibase JS stuff). This is going to include fixes @thiemowmde made (plus some teardown -> afterEach changes I spotted yesterday). Hopefully we'll get this released today.

Thats right. We are in the middle of releasing a new version of ValueView, tracked in T177816. We plan to finish this the next two or three days.

Change 383786 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[data-values/value-view@master] Switch from setup/teardown to before/afterEach in QUnit tests

https://gerrit.wikimedia.org/r/383786

Sorry for the noise, I've changed my mind. I don't want to be a bottleneck here. Let's release it now @thiemowmde , so it is pulled in today's build and we unblock QUnit upgrade work. npm package will be 0.22 then.

Change 383786 merged by jenkins-bot:
[data-values/value-view@master] Switch from setup/teardown to before/afterEach in QUnit tests

https://gerrit.wikimedia.org/r/383786

Apparently I can't push tags to https://gerrit.wikimedia.org/r/#/admin/projects/data-values/value-view, so cannot release it now...

Change 383806 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Update ValueView dependency to 0.21.0

https://gerrit.wikimedia.org/r/383806

thiemowmde reopened this task as Open.Oct 12 2017, 10:02 AM
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Done to Review on the Wikidata-Former-Sprint-Board board.

Change 383806 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Update ValueView dependency to 0.21.0

https://gerrit.wikimedia.org/r/383806

WMDE-leszek closed this task as Resolved.Oct 17 2017, 7:30 AM

If I read the log of the latest qunit job of https://gerrit.wikimedia.org/r/#/c/367838/, there is no failing tests on our side, so looks like we're finally good here.

@Krinkle: please re-open if there is still something on Wikibase side which is blocking you!